/*******************************************************************************
 * File: style.css
 * Desc: standard sheet för Ola möller entreprenad
 *
 * Robin Gräns Engblom
 ******************************************************************************/

html, body {
	margin: 0;
	padding: 0;
	height: 100%;
	font-family: roboto, Helvetica, Arial, sans-serif;
}

@font-face {
	font-family: "BebasNeue";
	src: url("fonts/BebasNeue Regular.ttf") format("truetype");
	src: url("fonts/BebasNeue Regular.woff") format("woff");
}

p {
	line-height: 1.65em;
}

#ruta {
	width: 1200px;
	background-color: white;
	min-height: 100%;
	margin: 0 auto -182px;
}

#header {
	display: none;
}

#logo {
	position: absolute;
	background-color: #ffcf33;
	width: 30%;
	max-width: 300px;
	top: 0;
	padding-top: 8px;
	border: 2px solid black;

	transition: all .3s ease, background-color .3s ease;
	-webkit-transition: all.3s ease, background-color .3s ease; /* Safari and Chrome */
    -moz-transition: all .3s ease, background-color .3s ease; /* Firefox */
    -ms-transition: all .3s ease, background-color .3s ease; /* IE 9 */
    -o-transition: all .3s ease, background-color .3s ease; /* Opera */
}

#logo:hover {
		-webkit-transform:scale(1.15); /* Safari and Chrome */
    -moz-transform:scale(1.15); /* Firefox */
    -ms-transform:scale(1.15); /* IE 9 */
    -o-transform:scale(1.15); /* Opera */
    transform:scale(1.15);
}

#logo img{
	width: 100%;
}

header img {
	width: 100%;
}

/* --------------- Nav ---------------*/

nav {
	box-sizing: border-box;
	width: 1200px;
	background-color: #292929;
	overflow: hidden;
	font-size: 22px;
	text-transform: uppercase;
	font-family: "BebasNeue", sans-serif;
	letter-spacing: 0.05em;
	padding: 20px 15px;
	margin: auto;
}

nav ul {
	padding: 0;
	margin: 0;
	display: table;
	float: right;
	width: 69%;
}

nav ul li {
	padding: 0;

	display: table-cell;
	width: 14%;
}

nav ul li a:hover {
	cursor: pointer;
}

nav ul li a {
	text-decoration: none;
	text-align: center;
	padding-left: 16px;
	padding-right: 16px;
	padding-bottom: 6px;
	padding-top: 6px;
	margin: 0;
	display: block;
	color: #E0E0E0;
}

nav ul li a:after {/* Streck som visas vid hover */
	content: '';
	display: block;
	margin: auto;
	height: 5px;
	width: 0px;
	background: transparent;
	transition: width .3s ease, background-color .3s ease;
	-webkit-transition: width .3s ease, background-color .3s ease; /* Safari and Chrome */
    -moz-transition: width .3s ease, background-color .3s ease; /* Firefox */
    -ms-transition: width .3s ease, background-color .3s ease; /* IE 9 */
    -o-transition: width .3s ease, background-color .3s ease; /* Opera */
}

/* Visa strecket vid hover */
nav ul li a:hover:after {
	width: 100%;
	background: #ffc815;
}

.current a:after {
	width: 100%;
	background: #ffc815;
}

/* ------------- Main --------------*/

main {
	padding: 12px;
	margin-top: 12px;
	overflow: hidden;
	padding-bottom: 22px;
}


/*------------- Hem -------------*/

#sliderContainer{
    position: relative;
    width: 100%;
    height: 400px;
    border: 1px solid black;
    padding: 0;
	margin: 0;
}

#sliderImages {
	padding: 0;
	margin: 0;
	list-style: none;
	width: 100%;
	height: 100%;
	position: absolute;
}

#sliderImages li {
	opacity: 0;
	visibility: hidden;
	-webkit-transition: all 1s ease; /* Safari and Chrome */
    -moz-transition: all 1s ease; /* Firefox */
    -ms-transition: all 1s ease; /* IE 9 */
    -o-transition: all 1s ease; /* Opera */
    transition: all 1s ease;
}

#sliderImages img {
	position:absolute;
	display: block;
	width: 100%;
	height: 100%;
}

.active {
	visibility: visible !important;
	opacity: 1 !important;
}

.arrows{
    position: absolute;
    opacity: 0.2;
    display: none;
}

.arrows:hover{
    opacity: 1;
    cursor: pointer;
}

#prev{
    left: -10px;
}

#next{
    right: -10px;
}

#progressbar {
	background-color: #3682DE;
	opacity: 0.8;
	position: absolute;
	height: 4px;
	bottom: 40px;

	-webkit-transition: all 0.05s ease; /* Safari and Chrome */
    -moz-transition: all 0.05s ease; /* Firefox */
    -ms-transition: all 0.05s ease; /* IE 9 */
    -o-transition: all 0.05s ease; /* Opera */
    transition: all 0.05s ease;
}

#textField {
	background-color: black;
	opacity: 0.75;
	width: 100%;
	height: 40px;
	position: absolute;
	bottom: 0;
}

#sliderText {
	font-weight: bold;
	color: white;
	text-align: center;
	margin: 0;
	display: flex;
	align-items: center;
	justify-content: center;
	height: 100%;
}

#newsboxlist {
	padding: 0;
	margin: 0;

	border-radius: 5px;
	border: solid 2px #cbc9c9;
	background-color: #ebebeb;
}

.article {
	border-bottom: 1px solid #a9a9a9;
	margin-left: 4px;
	margin-right: 4px;
	text-decoration: none;
	display: block;
}

.article a {
	text-decoration: none;
	color: black;
	margin: 0;
	padding: 6px;
	display: block;
}

.article p {
	margin: 0;
	padding: 12px;
	display: block;
}

.article a:hover {
	cursor: pointer;
	opacity: 0.5;
}

#newsboxlist li:last-child {
	border-bottom: none;
}

.mainContent {
	text-align: center;
	margin-top: 10px;
	margin-bottom: 10px;
}

.contentBox {
	padding: 20px 10px;
	text-align: center;
	margin-top: 10px;
	margin-bottom: 10px;
}

.contentText {
	max-width: 700px;
	margin: auto;
}

.servicesWrapper {
	display: grid;
	gap: 20px;
	grid-template-columns: 1fr;
	margin-bottom: 20px;
}

.serviceCard {
	padding: 20px;
	background-color: #FFF8E6;
	word-break: break-word;
}

.serviceCard h3 {
	margin-top: 40px;
}

.serviceCard img {
	width: 100%;
	aspect-ratio: 16 / 10;
	object-fit:  cover;
}

.linkButton {
	border-radius: 30px;
	border: 2px solid #000000;
	padding: 10px 20px;
	display: inline-block;
	color: #000000;
}

.aboutImagesWrapper {
	display: grid;
	gap: 20px;
	grid-template-columns: 1fr;
	margin-bottom: 20px;
	margin-top: 80px;
	padding: 10px;
}

.aboutImage {
	object-fit: cover;
	aspect-ratio: 16 / 9;
	width: 100%;
	border-radius: 4px;
}

@media screen and (min-width: 576px) {
	.servicesWrapper {
		grid-template-columns: 1fr 1fr 1fr;
	}

	.aboutImagesWrapper {
		grid-template-columns: 1fr 1fr 1fr;
		padding: 0;
	}
}


/* --------- Projekt --------------*/

/* ------------- Nyheter ---------------*/

#article #itemImgs {
	padding: 20px;
}

#newslist {

	display: block;
	margin: 0;
	padding: 0;
}

#newslist li{

	display: block;
	border-bottom: 1px solid #a9a9a9;
	margin: 0;
	padding: 0;
	margin-bottom: 10px;
}

#newslist li a {
	color: black;
	font-weight: 700;
	text-decoration: none;
}

#newslist li a:hover {
	color: gray;
}

.pubdate {

	float: right;

	border: 2px solid gray;
	border-radius: 3px;

	padding: 2px;
}

/* ------------- Tjänster ---------------*/

#serviceList {
	list-style: none;
	margin: 0;
	padding: 0;
	display: flex;
	flex-flow: column;
	gap: 20px;
	margin-bottom: 20px;
}

.serviceItem {
	width: 100%;
	display: block;
	margin: 0;
	padding: 0;
}

.serviceItem div {
	background-color: #FFF8E6;
	padding: 20px;
	width: 100%;
	box-sizing: border-box;
}

.serviceImg {
	width: 100%;
}

@media screen and (min-width: 768px) {
	.serviceItem {
		display: flex;
	}

	.serviceItem:nth-of-type(2n) {
		flex-flow: row-reverse;
	}

	.serviceImg {
		width: 50%;
		object-fit: cover;
		aspect-ratio: 16 / 9;
	}
}

/* ------------- Maskiner ---------------*/


/* ------------- Om oss ---------------*/

#portraitList {
	display: inline-block;
	margin: auto;
	text-align: center;
	 list-style:none;
    position:relative;
    width: 100%;
    padding: 0;
}

#portraitList li{
	display: inline-block;
	margin: 6px;
	text-align: center;
}

#portraitList li img{
	border: 1px solid black;
	width: 200px;
	height: 300px;
}

/* ------------- Kontakt ---------------*/

#contactLeft {
	float: left;
	width: 49%;
}

#contactImg {
	border: 2px solid gray;
	width: 75%;
}

#contactRight {
	float: left;
	width: 50%;
}

#map {
 	max-width: 500px;
 	height: 400px;
	border: solid 2px #cbc9c9;
	background-color: #ebebeb;
}


/* ------------- Redigera ---------------*/

#editBox a {
	color: black;
}

#editBox a:hover {
	color: gray;
}

.textarea {
	height: 200px;
	width: 450px;
	font-size: 14pt;
	resize: none;
}

#epLeft {
	float: left;
	width: 75%;
}

#epRight {
	float: right;
	width: 24%;
}

#removePList {
	display: block;
	border-radius: 5px;
	border: solid 2px #cbc9c9;
	background-color: #ebebeb;
	padding: 12px;
}

#removePList li {
	display: inline-block;
	padding: 10px;
	padding-right: 0;
	border-bottom: solid 1px #cbc9c9;
	width: 100%;
}

#removePList li a{
	text-decoration: none;
	color: black;
	overflow: hidden;
}

#removePList li a:hover:not(.removeP){
	color: gray;
}

.removeP {
	padding-left: 6px;
	padding-right: 6px;
	padding-top: 2px;
	padding-bottom: 2px;
	border: 1px solid black;
	color: red;
	background-color: red;
	text-decoration: none;
	display: inline-block;
	float: right;
	margin-right: 4px;
}

.removeP:hover {
	background-color: #FF4A4A;
}

#currentP {
	text-decoration: underline !important;
	color: #3682DE !important;
}

.editImages {
	display: inline-block;
	padding: 0;
	margin: 0;
}

.editImages li {
	display: inline-block;

	margin: 6px;
}

.editImages img{
	width: 220px;
	border: 1px solid gray;
}

/* ------------ Allmänt --------------- */

.itemsort {
	display: none;
}

#itemsort {
	float: left;
	border-radius: 5px;
	border: solid 2px #cbc9c9;
	background-color: #ebebeb;
	padding: 12px;
	min-width: 15%;
	max-width: 20%;
	text-overflow: ellipsis;
}

#itemsort ul {
	padding-left: 12px;
}

#itemsort ul li{
	list-style-type: none;
	border-bottom: 1px solid #cbc9c9;
	padding-bottom: 4px;
	padding-top: 4px;
}

#itemsort a {
	text-decoration: none;
	color: black;
}

#currentItem a {
	color: #3682DE;
}

#itemsort a:hover {
	color: gray;
}

#itemshow {
	float: right;
	width: 75%;
	margin-bottom: 20px;
}

.itemThumb {
	display: grid;
	padding: 0;
	margin: 0;
	grid-template-columns: 1fr;
	gap: 20px;
}

.itemThumb li {
	display: block;
}

.itemThumb img {
	width: 100%;
	object-fit: cover;
	aspect-ratio: 16 / 9;
}

.itemThumb a {
	display: block;
	text-align: center;
	text-decoration: none;
	color: black;
	transition: all 0.3s ease;
	background-color: #FFF8E6;
}

.itemThumbTitle {
	text-align: center;
	text-decoration: none;
	color: black;
	padding: 10px;
}

.itemThumb a:hover {
	opacity: 0.7;
}

@media screen and (min-width: 768px) {
	.itemThumb {
		grid-template-columns: 1fr 1fr;
	}
}

@media screen and (min-width: 1200px) {
	.itemThumb {
		grid-template-columns: 1fr 1fr 1fr;
	}
}

#itemImgs{
	display: inline-block;
	padding: 0;
	margin: 0;
}

#itemImgs li {
	display: inline-block;

	margin: 6px;
}

#itemImgs li img, .listImg {
	width: 220px;

	border: 1px solid gray;

	-webkit-transition: all 0.5s ease; /* Safari and Chrome */
    -moz-transition: all 0.5s ease; /* Firefox */
    -ms-transition: all 0.5s ease; /* IE 9 */
    -o-transition: all 0.5s ease; /* Opera */
    transition: all 0.5s ease;
}

#itemImgs li img:hover, .listImg:hover{
	-webkit-transform:scale(1.25); /* Safari and Chrome */
    -moz-transform:scale(1.25); /* Firefox */
    -ms-transform:scale(1.25); /* IE 9 */
    -o-transform:scale(1.25); /* Opera */
    transform:scale(1.25);
    z-index: 100;
}

.bold {
	font-weight: 700;
}

.invisible {
	display: none;
}

footer, .push {
	height: 100px;
}

footer {
	margin: auto;
	text-align: center;
	font-size: 13px;
	padding-bottom: 16px;
	margin-top: 60px;
	padding-top: 6px;
	background-color: #292929;
	text-transform: uppercase;
	font-family: "BebasNeue", sans-serif;
	letter-spacing: 0.05em;
	color: white;
}

footer #admin {
	float: left;
	position:absolute;
	margin-left: 5px;
}

footer #admin a {
	color: white;
	text-decoration: none;
}

footer #admin a:hover{
	color: gray;
	text-decoration: underline;
}

/* ---- Media Queries ------ */

@media screen and (max-width: 1200px) {
	#ruta {
		width: 100%;
	}

	nav {
		width: 100%;
	}
}

@media screen and (max-width: 1005px) {
	#logo {
		display: none;
	}

	#header {
		display: block;
		margin: auto;
		text-align: center;
		background-color: #ffcf33;
	}

	#header img {
		width: 75%;
		margin: auto;
	}

	nav ul {
		float: none;
		width: 100%;
	}
}

@media screen and (max-width: 768px) {

	#logo img{
		padding-top: 10px;
	}

	#leftheader {
		width: 17%;
		visibility: hidden;
	}

	#midheader {
		width: 66%;
	}

	#rightheader {
		width: 17%;
		visibility: hidden;
	}

	/* ------------- Hem ----------------*/



	/* --------------- Nav ---------------*/

	/* ------------- Redigera ------------------ */
	.textarea {
		max-width: 450px;
		width: 98%;
	}

	/* ------- Items ------------ */

	#itemshow {
		margin-left: 10px;
		width: 70%;
	}

	#itemsort h3{
		font-size: 17px;
	}

	#itemsort li{
		font-size: 14px;
	}

	#itemImgs, .itemThumb {
		margin: auto;
		text-align: center;
	}
}

@media screen and (max-width: 662px) {

	.burgerNav {
		display: block;
		height: 40px;
		width: 100%;
		background: url(../img/menu.png) no-repeat 98% center;
		background-size: 40px 40px;
		background-color: #292929;
		cursor: pointer;
	}

	nav {
		padding: 0;
	}

	nav ul {
		overflow: hidden;
		height: 0;
		display: block;
	}

	.open {
		height: auto !important;
	}

	nav ul li {
		display: block;
		width: 100%;
		border-top: 1px solid #404040;
	}

	nav ul li a:hover:after {
		width: 50%;
		min-width: 100px;
	}

	.current a:after {
		width: 50%;
		min-width: 100px;
	}

	#itemshow {
		margin-left: 10px;
		width: 60%;
	}

	#itemsort {
		max-width: 30%;
	}
}

@media screen and (max-width: 480px) {

	header {
		width: 100%;
	}



	#logo img{
		padding-top: 10px;
	}

	header img {
		width: 100%;
	}

	#header img {
		width: 100%;
	}

	#leftheader {
		display: none;
	}

	#midheader {
		width: 100%;
	}

	#rightheader {
		display: none;
	}

	#ruta {
		width: 100%;
	}

	main {
		padding: 0px;
		margin-top: 0px;
		padding-bottom: 14px;
	}

	h1 {
		padding-left: 12px;
		padding-right: 12px;
	}

	h2 {
		padding-left: 12px;
		padding-right: 12px;
	}

	h3 {
		padding-left: 12px;
		padding-right: 12px;
	}

	p {
		padding-left: 12px;
		padding-right: 12px;
	}

	/* ------------- Hem ----------------*/
	#projectsbox{
		width: 100%;
	}

	#sliderContainer{
	    border-left: none;
	    border-right: none;
	}

	#sliderText {
		font-weight: bold;
		color: white;
		text-align: center;
		margin-top: 6px;
	}

	#newsbox {
		width: 100%;
	}

	#newsboxlist {
		margin-left: 12px;
		margin-right: 12px;
	}

	/* ------------- Om oss ---------------*/

	#portraitList {
		display: block;
		position: static;
		list-style:none;
		padding: 0;
		width: 100%;
	}

	#portraitList li{
		display: block;
		margin: 6px;
		text-align: center;
	}

	/* ------------ Nyheter ------------- */
	#article #itemImgs {
		padding: 20px;
	}

	#newslist {

		display: block;
		padding: 20px;
	}

	#newslist li{

		display: block;
		border-bottom: 1px solid #a9a9a9;
		margin: 0;
		padding: 0;
		margin-bottom: 10px;
	}

	#newslist li a {
		width: 100%;
	}

	#newslist li a:hover {
		color: gray;
	}

	.pubdate {

		float: none;

		width: 100%;
		margin-top: 6px;
		border: solid 2px #cbc9c9;
		background-color: #ebebeb;
		border-radius: 3px;
		font-style: italic;
		text-align: center;
	}

	#article #itemImgs {
		padding: 0;
		width: 100%;
	}

	#article #itemImgs {
		padding: 0;
	}

	/* ------------- Kontakt ---------------*/

	#contactLeft {
		float: none;
		width: 100%;
	}

	#contactRight {
		float: none;
		width: 100%;
	}

	#map {
	 	width: 100%;
	 	height: 400px;
	 	border-left: none;
	 	border-right: none;
	}

	/* ------------- Redigera ---------------*/

	#login {
		margin: 12px;
	}

	.textarea {
		height: 200px;
		width: 100%;
		font-size: 14pt;
		resize: none;
	}

	#epLeft {
		float: none;
		width: 100%;
	}

	#epRight {
		float: none;
		width: 100%;
	}

	#removePList {
		display: block;
		padding-right: 20px;
	}

	#removePList li{
		width: 100%;
	}

	.editImages {
		display: block;
		padding: 0;
		margin: 0;
		width: 100%;
	}

	.editImages li {
		display: inline-block;

		margin: 6px;
	}

	.editImages img{
		width: 90%;
		border: 1px solid gray;
	}


	/*----------------- Items ----------------*/

	.itemsort {
		border: solid 2px #cbc9c9;
		border-top: 0;
		background-color: #ebebeb;
		text-align: center;
		padding: 12px 0 12px 0;
		margin-bottom: 6px;
		width: 100%;
		display: block;
		cursor: pointer;
	}

	#itemsort {
		float: none;
		padding: 12px;
		max-width: 100%;
		display: none;
		border-radius: 0;
	}

	.show {
		display: block !important;
	}

	#itemsort ul {
		padding-left: 12px;
		width: 100%;
	}

	#itemsort ul li{
		list-style-type: none;
	}

	#itemsort a {
		text-decoration: none;
		color: black;
	}

	#itemshow {
		float: none;
		width: 100%;
		margin-bottom: 20px;
		margin: 0;
		padding: 0;
	}

	.itemThumb {
		display: block;
		margin: 0;
		padding: 0;
	}

	.itemThumb li {
		display: block;

		margin: 0;
		padding: 0;
		margin-bottom: 24px;
		width: 100%;
	}

	.itemThumb img {
		border: none;
		width: 100%;
	}

	.itemThumb a {
		display: block;
		text-align: center;
		text-decoration: none;
		color: black;
		transition: all 0.3s ease;
	}

	.itemThumbTitle {
		text-align: center;
		text-decoration: none;
		color: black;
	}

	.itemThumb a:hover {
		opacity: 0.7;
	}

	#itemImgs{
		display: block;
		padding: 0;
		margin: 0;
		width: 100%;
	}

	#itemImgs li {
		display: block;
		margin-left: 0;
		margin-right: 0;
		width: 100%;
	}

	#itemImgs li img, .listImg {
		width: 100%;

		border-left: none;
		border-right: none;
	    transition: none;
	}

	#itemImgs li img:hover, .listImg:hover{
	    transform: none;
	}
}

@media screen and (max-width: 300px) {
	#sliderText {
		font-size: 12px;
		margin-top: 8px;
	}

	footer, .push {
		height: 120px;
	}
}
